summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorAlexis Ballier <aballier@gentoo.org>2017-03-07 13:43:36 +0100
committerAlexis Ballier <aballier@gentoo.org>2017-03-07 13:43:48 +0100
commit39fd5d3af92e990d8a828f7951766061c07d5c07 (patch)
tree8d65ae89458339167eaaa9f76b30b1db13184876 /app-text/highlight
parentdev-util/edb-debugger: Initial commit bug #610798. Petros404 (diff)
downloadgentoo-39fd5d3af92e990d8a828f7951766061c07d5c07.tar.gz
gentoo-39fd5d3af92e990d8a828f7951766061c07d5c07.tar.bz2
gentoo-39fd5d3af92e990d8a828f7951766061c07d5c07.zip
app-text/highlight: Bump to 3.25
Package-Manager: Portage-2.3.4, Repoman-2.3.2
Diffstat (limited to 'app-text/highlight')
-rw-r--r--app-text/highlight/Manifest1
-rw-r--r--app-text/highlight/highlight-3.35.ebuild70
2 files changed, 71 insertions, 0 deletions
diff --git a/app-text/highlight/Manifest b/app-text/highlight/Manifest
index 5698082650a..865c1272cdb 100644
--- a/app-text/highlight/Manifest
+++ b/app-text/highlight/Manifest
@@ -1,3 +1,4 @@
DIST highlight-3.17.tar.bz2 617834 SHA256 87ca5907943da25c756407d35ea0df8eb7762f3e32544201da27555c8eadb301 SHA512 27d5391339e80b616146489e97f63bca336f18b26c2ff5b94ae5bf183d3d1cdbfba202ab36d8eac86dee98ff49c6cc6c41dcf31860f0277f0327688e622d954e WHIRLPOOL 53ee5a4c58021f2a395d1d2e29090a43b06f3ad4ccad4461843f5a1eedebabe5ff33d2ac0c97c9d1ea496023c3acfe9eb30ff4d9d119a0eae4173ea1f9352cc3
DIST highlight-3.33.tar.bz2 620644 SHA256 64b530354feccabc3e8eeec02a0341be0625509db1fa5dd201c4d07e4d845c3c SHA512 12dc233e91380d762cafdc8a685fe6063e2b115d4df5e7ed83c4e880076a8b4fd3d41bf3631a9840600ae3012a87c64c31667b0f81655dd2ad10f26c563cce83 WHIRLPOOL 350b94f608e28d17b746630658cd3a4eea03465a30e73b7c44b1b03fc852818506c0bedbe148376c4466e7dc99a19c1ff0e21b17a16bb8f32ef533fa1edf521a
DIST highlight-3.34.tar.bz2 622273 SHA256 1ea4ff989d192a0c2538f7b18683f41829596800e9f6fecf58d9d621218664bb SHA512 f052adfe2b78d6cc28f23e303a0b2d5fd7d86aa261a3a40cca5e07fd7867eee3da415204194387d0e9818860b22ba2578fe200ee783e9cc07a5e30d94431ab51 WHIRLPOOL 58cacc5b3686ac3963832fd5706dc4c5589cdbdab0cfacaeb67f8810e9159ce5f3a4f045e1c894251b3d40d6a9abec3edb111e5589440f2cb9c6e728527474f7
+DIST highlight-3.35.tar.bz2 1181873 SHA256 8a14b49f5e0c07daa9f40b4ce674baa00bb20061079473a5d386656f6d236d05 SHA512 4f0959b4deacccf3de7137a4db45c2ec7091fb7427076cb5c5709a8d2027458328133ff541ebfb5cbe25fdcd9eebcd1cc9ed58526300d56ac6205fe6b806d211 WHIRLPOOL c7a9fa2aa61be797aeb1c6dda2074c0acb3f15a34603bc007f84897c69b64cf2b834a5b461d7b1b4343652aee2493f76ce829f636bc130d1e3d0bb97ca9e17b2
diff --git a/app-text/highlight/highlight-3.35.ebuild b/app-text/highlight/highlight-3.35.ebuild
new file mode 100644
index 00000000000..71e7930cfd3
--- /dev/null
+++ b/app-text/highlight/highlight-3.35.ebuild
@@ -0,0 +1,70 @@
+# Copyright 1999-2017 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=5
+
+inherit toolchain-funcs qt4-r2 flag-o-matic
+
+DESCRIPTION="Converts source code to formatted text (HTML, LaTeX, etc.) with syntax highlight"
+HOMEPAGE="http://www.andre-simon.de/"
+SRC_URI="http://www.andre-simon.de/zip/${P}.tar.bz2"
+
+LICENSE="GPL-3"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~hppa ~ia64 ~ppc ~ppc64 ~s390 ~sh ~sparc ~x86 ~amd64-fbsd ~x86-fbsd ~amd64-linux ~x86-linux ~ppc-macos"
+IUSE="examples qt4"
+
+RDEPEND="dev-lang/lua:0=
+ qt4? (
+ dev-qt/qtgui:4
+ dev-qt/qtcore:4
+ )"
+DEPEND="${RDEPEND}
+ dev-libs/boost
+ virtual/pkgconfig"
+
+src_prepare() {
+ sed -i "/LSB_DOC_DIR/s:doc/${PN}:doc/${PF}:" \
+ src/core/datadir.cpp || die
+
+ if has_version '<dev-lang/lua-5.2' ; then
+ sed -i 's/-DUSE_LUA52//' src/makefile || die
+ fi
+
+ # We set it via eqmake4, otherwise it forces clang...
+ sed -e 's/QMAKE_CC/#QMAKE_CC/g' \
+ -e 's/QMAKE_CXX /#QMAKE_CXX /g' \
+ -i "${S}/src/gui-qt/highlight.pro" || die
+}
+
+src_compile() {
+ myhlopts=(
+ "CXX=$(tc-getCXX)"
+ "AR=$(tc-getAR)"
+ "LDFLAGS=${LDFLAGS}"
+ "CFLAGS=${CXXFLAGS} -DNDEBUG -std=c++11"
+ "DESTDIR=${D}"
+ "PREFIX=${EPREFIX}/usr"
+ "HL_CONFIG_DIR=${EPREFIX}/etc/highlight/"
+ "HL_DATA_DIR=${EPREFIX}/usr/share/highlight/"
+ "doc_dir=${EPREFIX}/usr/share/doc/${PF}/"
+ "conf_dir=${EPREFIX}/etc/highlight/"
+ )
+ emake -f makefile "${myhlopts[@]}"
+ if use qt4 ; then
+ cd src/gui-qt
+ eqmake4 'DEFINES+=DATA_DIR=\\\"'"${EPREFIX}"'/usr/share/${PN}/\\\" CONFIG_DIR=\\\"'"${EPREFIX}"'/etc/${PN}/\\\" DOC_DIR=\\\"'"${EPREFIX}"'/usr/share/doc/${PF}/\\\"'
+ emake
+ fi
+}
+
+src_install() {
+ emake -f makefile "${myhlopts[@]}" install
+ use qt4 && emake -f makefile "${myhlopts[@]}" install-gui
+
+ if use examples ; then
+ docompress -x /usr/share/doc/${PF}/examples
+ else
+ rm -rf "${ED}"/usr/share/doc/${PF}/examples
+ fi
+}